Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
H5FD_onion_fapl_info_t Struct Reference

`#include <src/H5FDonion.h>`

## Detailed Description

Stores fapl information for creating onion VFD files.

## Data Fields
hid_t | backing_fapl_id
char | comment [255+1]
uint8_t | creation_flags
uint8_t | force_write_open
uint32_t | page_size
uint64_t | revision_num
H5FD_onion_target_file_constant_t | store_target
uint8_t | version

## Field Documentation

## ◆ backing_fapl_id

hid_t backing_fapl_id

Backing or 'child' FAPL ID to handle I/O with the underlying backing store. It must use the same backing driver as the original file.

## ◆ comment

char comment[255+ 1]

User-supplied NULL-terminated comment for a revision to be written. Cannot be longer than H5FD_ONION_FAPL_COMMENT_MAX_LEN. Ignored if part of a FAPL used to open in read mode.

## ◆ creation_flags

uint8_t creation_flags

Flag used only when instantiating an onion file. If the relevant bit is set to a nonzero value, its feature will be enabled.

## ◆ force_write_open

uint8_t force_write_open

Flag to ignore the write-lock flag in the onion data and attempt to open the file write-only anyway. This may be relevant if, for example, the library crashed while the file was open in write mode and the write-lock flag was not cleared. Must equal H5FD_ONION_FAPL_FLAG_FORCE_OPEN to enable.

## ◆ page_size

uint32_t page_size

page_size: Size of the amended data pages. If opening an existing file, must equal the existing page size or zero. If creating a new file or an initial revision of an existing file, must be a power of 2.

## ◆ revision_num

uint64_t revision_num

Which revision to open. Valid values are 0 (the original file) or the revision number of an existing revision. H5FD_ONION_FAPL_INFO_REVISION_ID_LATEST refers to the most recently-created revision in the history.

## ◆ store_target

H5FD_onion_target_file_constant_t store_target

Identifies where the history data is stored.

## ◆ version

uint8_t version

Future-proofing identifier. Informs struct membership. Must equal H5FD_ONION_FAPL_VERSION_CURR to be considered valid.

The documentation for this struct was generated from the following file:

- src/H5FDonion.h